Subject: bug#17294: Bug - nm_test_func check is confused with -flto

From: Peter Rosin <[email-masked]>
Date: Sat, 17 May 2014 02:46:06 +0200

On 2014-04-18 15:01, Martin Liška wrote:
> Hello,
>     starting with GCC 4.9.0, compiler will use just slim objects files during LTO compilation. That means, no assembly output is put to object files. I noticed that libtool uses nm tools to extract symbol from object file: http://pastebin.com/RF1VubdR. Would it be possible to add -fno-lto for this check?
> 
> I think there should be added '-fno-lto' at line 14:
>   (eval $ac_compile -fno-lto) 2>&5
> 
> What do you think about that?

Hi, and sorry for the late response.

I think that it is not possible to blindly add -fno-lto without knowing
if the compiler understands -fno-lto.

Changing this takes more effort, sorry.

Cheers,
Peter